REST API ReferenceDashboard APIAuth
Sign in with Google
POST
/auth/googleSign in with Google.
Should pass in type as "code" along with state and code received from Google.
Query Parameters
ga_client_id?string
Optional Google Analytics client identifier forwarded during sign-in.
gclid?string
Optional Google Ads click identifier forwarded during sign-in.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/auth/google" \ -H "Content-Type: application/json" \ -d '{ "type": "code", "state": "eyJyYW5kb20iOiJiMGNkMTBjNzViOTI3NjQ1MmM4NTRlMzJiMjlkOTI1ZmI0YjkyNGI5ODFkZDQ0ZjM4OTMwYWQwYzU2YjEzMDk3IiwicGF0aCI6IiJ9", "code": "4/0AeaYSHBg8Yt2VXpDbb1kMqzy" }'{ "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE3NDUyMjU2NTl9.XzbpImWw9GXFlIXHCu92QNsA1D8m_Y9ZFVDEDqG_wtM", "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE3NDU4Mjg2NTl9.MeMIsk1KEHvPa2AAbDBQWqeKJwQcxbk1lXb7Mhcz-uQ", "session_id": "afae8473-2419-4303-a262-2aea520de295", "user_id": "835283a5-cddc-472b-84ad-5ea3319efeed", "own_team_id": "e47ac49d-0697-4e85-8607-1a34536c04e3"}Empty
Empty
Empty
Think this page can be better?
Open an issue